package com.jkcredit.identity.controller;

import com.jkcredit.identity.model.vo.CommonResponseVO;
import com.jkcredit.identity.service.IdentityVerifyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
@Slf4j
public class IdentityInfoController {
    @Autowired
    IdentityVerifyService identityVerifyService;

    @PostMapping("/api/identityInfo")
    public CommonResponseVO identityInfoQuery(@RequestBody String params) {
        return identityVerifyService.validateIdentityInfo(params);
    }

    @PostMapping("/api/identityPhotoInfo")
    public CommonResponseVO identityPhotoInfoQuery(@RequestBody String params) {
        return identityVerifyService.validatePhotoIdentityInfo(params);
    }
}
