package com.jkcredit.identity.model.to;

import lombok.Data;

public class LoginTO extends SignBean<LoginTO.BizData> {

    @Data
    public static class BizData {

        /**
         * 用户名
         */
        private String username;

        /**
         * 密码或刷新token
         */
        private String credentials;

        /**
         * 时间戳
         */
        private String timeStamp;

        /**
         * 服务器随机数
         */
        private String r1;

        /**
         * 客户端随机数
         */
        private String r2;
    }
}
