package com.jkcredit.identity.service;

import com.jkcredit.identity.model.vo.CommonResponseVO;

/**
 * @author xusonglin
 * @version V1.0
 **/
public interface IdentityVerifyService {
    /**
     * 身份证二要素
     * @param params 姓名，身份证号
     */
    CommonResponseVO validateIdentityInfo(String params);

    /**
     * 身份证+人像
     * @param params 姓名，身份证号，照片
     */
    CommonResponseVO validatePhotoIdentityInfo(String params);

}
