package com.jkcredit.identity.model.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AuthDataDTO {

    @NotBlank(message = "参数中缺少姓名")
    private String name;

    @NotBlank(message = "参数中缺少身份证")
    private String idCard;

    @NotBlank(message = "参数中缺少认证模式")
    private String authMode;

    private String photoData;

}
