package com.jkcredit.identity.model.to;

import lombok.Data;

public class AuthDataTO extends SignBean<AuthDataTO.BizData> {

    @Data
    public static class BizData {

        private String timeStamp;

        /**
         * 认证模式
         */
        private String authMode;


        /**
         * 认证数据
         */
        private String authData;

        @Data
        public static class AuthData {

            /**
             * 应用名
             */
            private String appName;

            /**
             * 姓名
             */
            private String name;

            /**
             * 身份证
             */
            private String idCard;

            /**
             * 身份证有效期起始日期
             */
            private String yXQQSRQ;

            /**
             * 身份证有效期截止日期
             */
            private String yXQJZRQ;

            /**
             * 照片
             */
            private String photoData;
        }
    }
}
