package com.jkcredit.identity.model.to;

import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class SignBean<T> {

    @NotBlank(message = "数据包中缺少签名")
    protected String sign;

    @Valid
    @NotNull(message = "数据包中缺少认证数据")
    protected T bizData;
}
